#include <QtGui/QApplication>
#include <QDeclarativeContext>
#include "qmlapplicationviewer.h"
#include "xmlparser.h"

Q_DECL_EXPORT int main(int argc, char *argv[])
{
    QScopedPointer<QApplication> app(createApplication(argc, argv));

    XMLParser xmlParser;

    QmlApplicationViewer viewer;

    viewer.rootContext()->setContextProperty("cppXMLParser", &xmlParser);

    viewer.setOrientation(QmlApplicationViewer::ScreenOrientationAuto);
    viewer.setMainQmlFile(QLatin1String("qml/FridgeContents/main.qml"));
    viewer.showExpanded();

    return app->exec();
}
